{% extends 'base.html' %}

{% block head %}
	<script
		src="{{ url_for('static', filename='js/index.js') }}"
		type="text/javascript"
	></script>
	
	<link
		rel="stylesheet"
		type="text/css"
		href="{{ url_for('static', filename='css/index.css') }}"
	>
	<link
		rel="stylesheet"
		type="text/css"
		href="{{ url_for('static', filename='fonts/open-sans/style.css') }}"
	>
	<link
		rel="stylesheet"
		type="text/css"
		href="{{ url_for('static', filename='fonts/bebas-neue/style.css') }}"
	>
{% endblock %}

{% block current_page %}Kalkulačka shody s Pirátským programem{% endblock %}

{% block description %}Zjisti, jakou máš shodu s naším programem!{% endblock %}

{% block content %}
	<header id="intro">
		<img
			id="header-logo"
			src="{{ url_for('static', filename='images/logo.png') }}"
			width="200"
			alt="Pirátské logo"
		>
		
		<div class="heading-container">
			<h1 class="heading">
				Zjisti, jakou máš shodu<br>
				s naším programem!
			</h1>
			
			<p class="description">
				<tt style="background:grey;color:white;padding:5px">Popis patří sem.</tt>
			</p>
			
			<a
				href="#test"
				class="jump-to-test"
			>Začni test&nbsp;&nbsp;→</a>
			
			<br>
			
			<a
				class="show-categories"
				href="{{ url_for('calculator.view_candidates_responses') }}"
			>Nebo se podívej na odpovědi našich kandidátů.</a>
		</div>
	</header>
	
	<main>
		<div class="content-container">
			<noscript>
				<p>
					Bohužel, verzi pro uživatele bez JavaScriptu jsem zatím nestihl udělat.<br>
					Naprosto respektuju tvoji volbu ho nepoužívat, a souhlasím s ní, ale...
					no, asi ti můžu rovnou říct, že - minimálně mezinárodní - Pirát jsi. :)
				</p>
			</noscript>
			
			<section id="test">
				<form
					method="POST"
					action="{{ url_for('calculator.view_result') }}"
					id="agreement-form"
				>
					{% for slug, question in config["QUESTIONS"].items() %}
						<h2>{{ question["content"] }}</h2>
						
						<div class="question-answers">
							<div class="question-answer question-answer-pos-full">
								<input
									type="checkbox"
									id="{{ slug }}-pos-full"
									name="{{ slug }}-pos-full"
									autocomplete="off"
								>
								
								<label
									id="{{ slug }}-pos-full-label"
									for="{{ slug }}-pos-full"
								></label>
							</div>
							
							<div class="question-answer question-answer-pos-half">
								<input
									type="checkbox"
									id="{{ slug }}-pos-half"
									name="{{ slug }}-pos-half"
									autocomplete="off"
								>
								
								<label
									id="{{ slug }}-pos-half-label"
									for="{{ slug }}-pos-half"
								></label>
							</div>
							
							<div class="question-answer question-answer-neut">
								<input
									type="checkbox"
									id="{{ slug }}-neut"
									name="{{ slug }}-neut"
									autocomplete="off"
									checked
								>
								
								<label
									id="{{ slug }}-neut-label"
									for="{{ slug }}-neut"
								></label>
							</div>
							
							<div class="question-answer question-answer-neg-half">
								<input
									type="checkbox"
									id="{{ slug }}-neg-half"
									name="{{ slug }}-neg-half"
									autocomplete="off"
								>
								
								<label
									id="{{ slug }}-neg-half-label"
									for="{{ slug }}-neg-half"
								></label>
							</div>
							
							<div class="question-answer question-answer-neg-full">
								<input
									type="checkbox"
									id="{{ slug }}-neg-full"
									name="{{ slug }}-neg-full"
									autocomplete="off"
								>
								
								<label
									id="{{ slug }}-neg-full-label"
									for="{{ slug }}-neg-full"
								></label>
							</div>
						</div>
						
						<script type="text/javascript">
							$(
								`#{{ slug }}-pos-full-label,
								#{{ slug }}-pos-half-label,
								#{{ slug }}-neut-label,
								#{{ slug }}-neg-half-label,
								#{{ slug }}-neg-full-label`
							).on(
								"click",
								function(event) {
									const inputId = event.currentTarget.id.replace("-label", "");
									const input = $("#" + inputId);
									
									if (input.prop("checked")) { // Always have one option selected
										event.preventDefault();
										return;
									}
									
									$(input[0].parentNode.parentNode)
									.children()
									.children("input").not(input)
									.prop("checked", false);
								}
							);
						</script>
					{% endfor %}
					
					<input
						type="submit"
						value="Zjistit výsledek!"
					>
				</form>
			</section>
		</div>
	</main>
	
	<footer>
		<p>
			K průzkumu ukládáme informace o tom, pro jaké otázky se jak hlasuje.<br>
			Osobní informace, včetně IP adres a všech dalších identifikátorů, ne.
		</p>
		<a href="#TODO">Jak počítáme výsledky?</a>
	</footer>
{% endblock %}
